<?php
require 'app-config.php';

if (php_sapi_name() != 'cli') {
    http_response_code(404);
    die('Not Found');
}

/**
 * Print a line with a newline character at the end (printf + newline = printfn; surprised this isn't built in!)
 *
 * @param string $format The format string
 * @param mixed ...$values The values for the placeholders in the string
 */
function printfn(string $format, mixed ...$values): void {
    printf($format . PHP_EOL, ...$values);
}

/**
 * Display a title for a CLI run
 *
 * @param string $title The title to display on the command line
 */
function cli_title(string $title): void {
    printfn("$title | Feed Reader Central v%s" . PHP_EOL, FRC_VERSION);
}
